## termtris 1.3

=== Makefile ===
PREFIX = /usr/local
SCOREDIR = /var/games/termtris

src = $(wildcard src/*.c)
obj = $(src:.c=.o)
dep = $(obj:.o=.d)
bin = termtris

CFLAGS = -pedantic -Wall -g

$(bin): $(obj)
	$(CC) -o $@ $(obj) $(LDFLAGS)

-include $(dep)

%.d: %.c
	@echo depfile $@
	@$(CPP) $(CFLAGS) $< -MM -MT $(@:.d=.o) >$@

.PHONY: clean
clean:
	rm -f $(obj) $(bin)

.PHONY: cleandep
cleandep:
	rm -f $(dep)

.PHONY: install
install: $(bin)
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp $(bin) $(DESTDIR)$(PREFIX)/bin/$(bin)
	mkdir -p $(DESTDIR)$(SCOREDIR)
	chmod 0777 $(DESTDIR)$(SCOREDIR)

.PHONY: uninstall
uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/$(bin)

=== debian/changelog ===
termtris (1.3-1ubuntu1) hirsute; urgency=medium

  * d/p/gcc-10.patch: Fix compilation with GCC 10.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 08 Jan 2021 17:44:33 -0500

termtris (1.3-1) unstable; urgency=medium

  * Initial release (Closes: #927144) 

 -- Matt Hsiao <matt.hsiao@hpe.com>  Thu, 06 Jun 2019 15:01:11 +0800

=== debian/control ===
Source: termtris
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matt Hsiao <matt.hsiao@hpe.com>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.4.1.0
Homepage: https://github.com/jtsiomb/termtris

Package: termtris
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tetris game for ANSI/VT220 terminals 
 Termtris runs on UNIX systems and requires an ANSI or VT220-compatible
 terminal for input and output. It has been tested with xterm, rxvt, 
 the Linux console, and kermit running on MS-DOS over a serial link,
 but it should work on any terminal capable of interpreting ANSI escape
 sequences for cursor addressing, character set selection, and color
 attributes.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_clean:
	rm -f src/ansi.d
	rm -f src/game.d
	rm -f src/main.d
	rm -f src/scoredb.d
